Historial de inserciones y actualizaciones
Historial de inserciones y actualizaciones
Obtener historial de inserciones y actualizaciones
GET /vector/upsert-history/{id}
- HTTP
- cURL
- JavaScript
- Python
GET /upsert-history/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
curl -L \
--url '/upsert-history/{id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Accept: */*'
const response = await fetch('/upsert-history/{id}', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
},
});
const data = await response.json();
import requests
response = requests.get(
"/upsert-history/{id}",
headers={"Authorization":"Bearer YOUR_SECRET_TOKEN","Accept":"*/*"},
)
data = response.json()
Eliminar historial de inserciones y actualizaciones
DELETE /vector/upsert-history/{id}
Soft delete upsert history records by IDs
- HTTP
- cURL
- JavaScript
- Python
PATCH /upsert-history/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48
{
"ids": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
curl -L \
--request PATCH \
--url '/upsert-history/{id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"ids": [
"123e4567-e89b-12d3-a456-426614174000"
]
}'
const response = await fetch('/upsert-history/{id}', {
method: 'PATCH',
headers: {
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"ids": [
"123e4567-e89b-12d3-a456-426614174000"
]
})
});
const data = await response.json();
import json
import requests
response = requests.patch(
"/upsert-history/{id}",
headers={"Authorization":"Bearer YOUR_SECRET_TOKEN","Content-Type":"application/json"},
data=json.dumps({
"ids": [
"123e4567-e89b-12d3-a456-426614174000"
]
})
)
data = response.json()